org.keycloak.authorization.common

## Class DefaultEvaluationContext

- java.lang.Object
- - org.keycloak.authorization.common.DefaultEvaluationContext

- All Implemented Interfaces:
    EvaluationContext

      public class DefaultEvaluationContext
      extends Object
      implements EvaluationContext

  Author:
    Pedro Igor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Identity` | `identity`
    `protected KeycloakSession` | `keycloakSession`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultEvaluationContext(Identity identity, KeycloakSession keycloakSession)`
    `DefaultEvaluationContext(Identity identity, Map<String,List<String>> claims, KeycloakSession keycloakSession)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attributes` | `getAttributes()` Returns all attributes within the current execution and runtime environment.
    `protected Map<String,Collection<String>>` | `getBaseAttributes()`
    `Identity` | `getIdentity()` Returns the `Identity` that represents an entity (person or non-person) to which the permissions must be granted, or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### keycloakSession

          protected final KeycloakSession keycloakSession

    - #### identity

          protected final Identity identity

  - ### Constructor Detail

    - #### DefaultEvaluationContext

          public DefaultEvaluationContext(Identity identity,
                                          KeycloakSession keycloakSession)

    - #### DefaultEvaluationContext

          public DefaultEvaluationContext(Identity identity,
                                          Map<String,List<String>> claims,
                                          KeycloakSession keycloakSession)

  - ### Method Detail

    - #### getIdentity

          public Identity getIdentity()

      Description copied from interface: `EvaluationContext`
      Returns the `Identity` that represents an entity (person or non-person) to which the permissions must be granted, or not.
      Specified by:
        `getIdentity` in interface `EvaluationContext`
      Returns:
        the identity to which the permissions must be granted, or not

    - #### getBaseAttributes

          protected Map<String,Collection<String>> getBaseAttributes()

    - #### getAttributes

          public Attributes getAttributes()

      Description copied from interface: `EvaluationContext`
      Returns all attributes within the current execution and runtime environment.
      Specified by:
        `getAttributes` in interface `EvaluationContext`
      Returns:
        the attributes within the current execution and runtime environment

Copyright © 2021 JBoss by Red Hat. All rights reserved.